### Method

# Ggit Submodule init

#### Declaration [src]

    void
    ggit_submodule_init (
      GgitSubmodule* submodule,
      gboolean overwrite,
      GError** error
    )

#### Description [src]

Just like “git submodule init”, this copies information about the submodule into “.git/config”. You can use the accessor functions above to alter the in-memory git_submodule object and control what is written to the config, overriding what is in .gitmodules.

#### Parameters

`overwrite`

  Type: `gboolean`

  Forces existing entries to be updated.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.